Page 1 sur 1

JFW 3.56 MA-1 + Service Pack 1.3 + Iris Manager pour SP 1.3

MessagePosté: Mar 15 Nov 2011 15:29
par TGbot
Image

DemonHades vient de releaser le JFW 3.56.
Attention après l'installation de ce JFW, vous ne pourrez plus downgrader à moins d'avoir un E3 Flasher.
Le dongle True Blue ne fonctionnera pas non plus.


Voici ces fonctionnalités traduites par nos confrères de generation-game
Général

Support du Peek & Poke LV2, utilisant les Syscall 6 et 7 pour rester compatible avec les homebrews existant
Support du Peek & Poke LV1 en natif, utilisant respectivement les SYSCALL 10 et 11. Ces SYSCALL sont utilisés comme ceux du LV2, les développeurs ont juste à les utiliser de la même manière que ceux du LV2, bien qu'ils soient affectés au LV1

Lancement natif d'applications non signées ou au format FSELF. Cela signifie qu'une application classique ou NPDRM fonctionnera directement (c'est à dire sans ré-écriture de mémoire dans le LV2) à condition qu'elle soit dans un format FSELF valide.
Lancement d'applications signées de façon logicielle, aussi bien les officielles que les non officielles.
Support des applications nécessitant le 3.56
Utilisation de tout les SYSCALL du système
Patchage automatique des PARAM.SFO au cas où vous utiliseriez une application qui requiert une version supérieure au 3.56 que ce soit pour les applications NPDRM, classiques ou lancées depuis bdemu.
Installation de PKG Retail ou Debug par le biais de l'option "Install PKG" du XMB.

Le système d'options QA du XMB a été hacké. Vous pouvez maintenant y accéder directement et les options modifiées sont enregistrées dans le registre de configuration de la console.
Ce système de hack du QA permet à n'importe quel SPRX qui demande au XMB de vérifier des informations reçues, de recevoir des informations hackées, comme par exemple le "nas_plugin.sprx", qui en cas d'une DEX permettrai d'installer des PKG Retail sans avoir à patcher quoique ce soit.

Comme toujours, faites attention à la façon dont vous utilisez ces options, même si ce système d'utilisation du QA est le plus sur : sans être en QA, sans avoir a modifier l'EEPROM en aucun point, et sans recalculer un quelconque token.
Maintenant je me doit de remercier Sony pour avoir fait leur sécurité sur un seul byte et non sur ceux qui auraient du être employés.


Concernant le LV2

Fix : Patch permettant de lancer des applications en évitant l'erreur 0x80010009
Fix : Patch évitant la vérification de la version du firmware de l'application sauvegardée dans la mémoire du LV2 (permet d'éviter l'erreur 0x80010019)
Fix : Patch évitant l'erreur 0x8001003C
Fix : Patch évitant l'erreur 0x8001003D
Fix : Patch évitant l'erreur 0x8001003E (utilisation du patch hdd en ayant aucun disque inséré)
Fix : Patch permettant l'utilisation de tout les SYSCALL (en évitant donc l'erreur générique 0x80010003)


Changements dans le LV2 du 3.56

Fix : Application d'une nouvelle vérification de sécurité qui nous empêche de lancer une application non signée en mode Updater, évitant ainsi l'erreur 0x80010009
Fix : Utilisation d'une méthode différente pour intégrer les SYSCALL 6, 7, 10 et 11 dans le LV2


Concernant le LV1

Ajout du support du Peek & Poke en natif sur le LV1. La méthode utilisée pour intégrer ces nouveaux hypercalls n'utilise pas les hypercall déjà existant, on a réellement un quelconque hypercall non utilisé dans le système étant un un Peek ou un Poke selon le cas. (Pour interagir avec ce Peek/Poke, utilisez les SYSCALL du LV2 10 et 11)

Modification de l'hypercall mmap (114). Dans le 3.56, Sony a apporté de grosses modifications sur cet hypercall pour éviter les commandes qui étaient donnée au LV2 avec le mappage du LV1. Maintenant cet hypercall vérifie que l'argument clef n'ai pas été modifié et les rangées du mappage (quelqu'un qui comprend cela il comprendra combien il est dangereux de mapper des éléments critique, sans communiquer avec le LV1), le code de l'hypercall est divisé en sous-fonctions pour faire marcher l'analyse. Dans cette version 3.56 MA, cet hypercall n'a pas été touché, mais supporte le Peek & Poke dans le LV1 sans que le mappage soit nécessaire.
Modification de l'hypercall unmap (115), de façon similaire au mmap expliqué ci-dessus, le code a été divisé en sous-fonctions.

Fix : Ajout de patch pour éviter les vérifications d'intégrité du LV1 et LV0.
Fix : Ajout de patchs dans le SPM et le DM pour permettre l'utilisation de n'importe quel service. Ce patch est différent et plus petit que le patch SS déjà existant (qui n'est plus compatible sur le 3.56) et durant mes tests le patch n'a causé aucun problème avec les trophées, les sauvegardes de jeux, ect...
Élimination du problème empêchant de downgrader dans une version plus basse que le 3.56. Actuellement il est impossible de donwgrader si vous êtes en 3.56


Concernant le LV0 (APPLDR)

Fix : Patch pour éviter le vérification de la signature digitale ECDSA. Maintenant une application avec une signature invalide sera considérée comme en ayant une valide. (Par exemple, signer une application sans avoir la clef privée génère une signature acceptée par le système).
Fix : Patch annulant la vérification du hash des segments des applications. Un hash invalide sera considéré valide par le système.
Fix : Patch permettant d'utiliser le terminal retail FSELF (Différent de celui de ps3devwiki qui contient un problème de décryptage du metadata, empêchant de décrypter correctement les exécutables retail cryptés, et donc briquant les consoles).
Fix : Patch annulant la protection ajoutée dans le 3.55 qui empêchait de lancer des applications d'une version supérieure au firmware actuel. Grâce à ceci, un jeu 3.60 pourrait hypothétiquement se lancer en 3.56.
Fix : Patch annulant la protection ajoutée dans le 3.56 sur l'authenticité des applications, qui détectait les programmes créés avec les outils public.
Fix : Patch annulant la protection de la liste blanche des programmes autorisés en 3.56. Maintenant nous pouvons utiliser toutes les applications du 3.55 et inférieur.


Notes Diverses

Le LV2 est protégé grâce à un hash dans le LV1, au cas où l'on voudrait toucher un offset inclus dans la rangée de protection, ce qui produirait une panique dans le système, qui freezerai. Pour éviter ce problème, il vous suffit d'utiliser l'outil join à l'archive pour modifier le LV2 en utilisant Poke. Pourquoi ne pas implémenter cela directement ? Car seuls les devs en auraient l'utilité et qu'il est plus sur de ne pas le mettre pour les utilisateurs calssiques. Bien sur le code source de ceci est disponible dans l'archive et les dev pourront voir comment utiliser le Poke du LV1 pour résoudre le problème.

Nous pouvons maintenant entrer en Service Mode et utiliser le lv2diag comme auparavant, mais ceci présente un danger potentiel. Le 3.56 rend impossible le donwgrade en un firmware inférieur au 3.56, et si l'on tente d'utiliser une version qui annule cette vérification du gestionnaire de mise à jour, le danger vient d'une erreur de programmation du lv2diag.self permettant de mettre à jour SANS VERIFICATION : que le fichier d'update soit présent sur la clef USB, ou qu'il soit valide. Le programme formate alors les flashs 1, 2 et 3 et si le chargement ne marche pas, le système est complètement brické.

Une application jointe à cette archive permet d'extraire les noeuds d'un dump du LV1, c'est une mise à jour de l'application créée par Graf Chokolo, qui supporte maintenant les versions 3.15, 3.41, 3.55 et 3.55 en un seul programme.
Les graphismes complet du firmware seront ajoutés quand le JFW 3.41 sera fini.
J'ai ajouté une application dans l'archive, qui je pense n'existait pas publiquement, elle permet d'activer le "Product Mode" directement depuis le XMB.


Les différents MD5 :

356MA-1.xdelta MD5: d6ead544a81564331851b4e8b8d96c6d
DeltaPatcherLite.exe MD5: 05f144ebff7043c09107352315278ada
xdelta.exe MD5: 1c6b3a6e1e9df2c8313bcf98aabfc8e1
ProductModeXMB MD5: 6a4d8a189a202a988bc1f5425446b190
RepoMaster.exe MD5: 741e08ed4dd51d0cefa8faa1d043e766
3.56 CEX ORIGINAL VERSION 2 MD5 (reference): 2a52196399a4b96ea568aafa65d1a27e
3.56 MA-1 PUP MD5 (reference): efe066e4836393c8bf60a5cc6804ddc3




MAJ
Voici le service pack 1.2.1 qui corrige les bugs et ajoute des fonctionnalités

Changelog
-Iconaje del Navegador Arreglado y estilizado

-Iconaje de los Reproductores Nativos de Sony Estilizados

-Opciones Ocultas Debug desde el Menu QA oculto(combo key)

*Cambio de Region del BD
*Saves de cualquier user con rebug son validas ahora.



-Parcheado el check de las licencias de juegos PSN o DLC o PSONE (usar MAsReactPSN356)

-Soluccionado el desplazamiento del Texto en las Listas de Reproduccion.

-Nueva opcion de consulta del Service Pack descargado desde la OpenPStore en la categoria TheGrid

-Añadido el soporte para PKGs pseudo Retails(Geohot finalize 355)

-Solucionado el sonido de inicio.

-Proteccion Cinavia desactivada

-Añadida la vista rapida al pulsar PS en pleno juego,para consultar los trofeos,o salir del juego.

-Incluido en visor la opcion de visualizar si en el pendrive hay service pack y si egea esta o no en el mismo.

-Opcion de consultas de Isos PSP desde el menu visor>PSP conectando la PSP por usb busca la carpeta iso.

-BootSplash añadido en juegos y apps.

-Parche para que ningun juego requiera de parchear el PARAM.SFO sea la version que sea(evita actualizar al meter un juego por error que contenga un update superior)

-EGEA carga el menu recovery sin tener que hacer la combinacion de botones.

-Autorizados todos los Security Services del Dispatch Manager para poder usar cualquier servicio.







Image

Ni moi, ni aucun autre membre du forum Tgames ne pourra être tenu responsable de ce que vous faites avec votre console, le risque zéro n'existe pas, tout ce que vous ferez sera en connaissance de cause, prenez votre temps, lisez lentement et très attentivement, n'hésitez pas à relire si vous avez le moindre doute.


Télécharger Firmware Officiel 3.56 V2
Téléchargement

Télécharger Custom Firmware JFW 3.56 MA-1
Téléchargement


Télécharger Service Pack 1.3

Téléchargement


Télécharger Irris Manager pour service pack 1.3

Téléchargement

Source

Re: JFW 3.56 MA-1 dispo !

MessagePosté: Mar 15 Nov 2011 18:44
par MachOne
Bien joué kalidor, je voulais newser mais tu a été plus rapide, merci pour cette grande news pour ceux qui en ont la nécessité.

Re: JFW 3.56 MA-1 dispo !

MessagePosté: Mar 15 Nov 2011 22:11
par darkscad
Le dongle True Blue ne fonctionnera pas non plus

*reflechir avant d'agir !

merci pour cette news !

Re: JFW 3.56 MA-1 dispo !

MessagePosté: Mer 16 Nov 2011 06:53
par arnauto
et je rajouterais:

inutile si vous est en cfw 3.55!!!!!

Re: JFW 3.56 MA-1 + Service Pack 1.2

MessagePosté: Lun 19 Déc 2011 09:59
par TGbot
Ajout du service pack 1.2

:bravo:

Re: JFW 3.56 MA-1 + Service Pack 1.2.1

MessagePosté: Lun 19 Déc 2011 21:42
par TGbot
Maj Service Pack 1.2.1

:bravo:

Re: JFW 3.56 MA-1 + Service Pack 1.2.1

MessagePosté: Lun 19 Déc 2011 21:53
par darkscad
intéressant si vous êtes en fw 3.56 seulement !

pour le reste je suis d'accord avec mon poto Arnauto !

Re: JFW 3.56 MA-1 + Service Pack 1.2.1

MessagePosté: Dim 25 Déc 2011 10:07
par chronoss
Merci à la Team mais navré que les PS3 en 3.56 sont au nombre de 5/100 dans le monde :( :bat:

Re: JFW 3.56 MA-1 + Service Pack 1.2.1

MessagePosté: Mer 4 Jan 2012 12:48
par chronoss
darkscad a écrit:intéressant si vous êtes en fw 3.56 seulement !

pour le reste je suis d'accord avec mon poto Arnauto !


laisse tombé, je suis en 3.56 et ça ne marche pas. Faut être en 3.55 pour pouvoir l'installer (c'est ce que je pense avoir lu quelque part :' )

Re: JFW 3.56 MA-1 + Service Pack 1.2.1

MessagePosté: Lun 20 Fév 2012 18:30
par fred56580
Bonjour, voila je suis en 3.56 MA-1, jusque la pas de souci, je voudrais telecharger le nouveau service pack, mais il n est que sur megaupload donc impossible a telecharger. Apres moult recherche, rien. Si quelqu un avais un autre lien, meme torrent, ca m arrangerait. Merci.

Re: JFW 3.56 MA-1 + Service Pack 1.2.1

MessagePosté: Lun 20 Fév 2012 18:45
par TGbot
Le lien officiel est toujours le meme , mais tu peux le recuperer par le store PS3 de demonhades ( donc directement de la ps3

Re: JFW 3.56 MA-1 + Service Pack 1.3 + Iris Manager pour SP 1.3

MessagePosté: Jeu 17 Mai 2012 09:17
par TGbot
Ajout du service pack 1.3 + iris manager sp 1.3

:bravo: